SBP(4)

NAME
sbp - Serial Bus Protocol 2 (SBP-2) Mass Storage Devices driver

SYNOPSIS
sbp* at ieee1394if? euihi ? euilo ?

DESCRIPTION
The sbp driver provides support for SBP-2 devices that attach to the IEEE1394 port. It should work with all SBP-2 devices which the scsi(4) layer supports, for example, HDDs, CDROM drives, and DVD drives.

Some users familiar with umass(4) might wonder why the device is not detached at the scsi(4) layer when the device is unplugged. It is detached only if the device has not been plugged again during several bus resets. This is for preventing to detach an active file system even when the device cannot be probed correctly for some reason after a bus reset or when the device is temporary disconnected because the user changes the bus topology. If you want to force to detach the device, run fwctl -r several times.

SEE ALSO
ieee1394if(4), scsi(4), fwctl(8), scsictl(8), sysctl(8)

AUTHORS
-nosplit The sbp driver was written by Katsushi Kobayashi and Hidetoshi Shimokawa.

This manual page was written by Katsushi Kobayashi. It was added to NetBSD 4.0 by KIYOHARA Takashi.